Skip to main content
GET
Fetch migration by ID

Authorizations

Authorization
string
header
required

API Keys can be issued in the Orb's web application.

Path Parameters

migration_id
string
required

Response

OK

id
string
required

Unique identifier for this plan version change.

plan_id
string
required

The ID of the plan being migrated.

effective_time
required

When the migration takes effect. Can be a specific date/time, 'start_of_term' or 'end_of_term' when scheduled to be at the start or end of the current billing period, or 'start_of_invoice' or 'end_of_invoice' when scheduled to be at the start of the current or next invoice.

status
enum<string>
required

Current status of the migration: 'not_started', 'in_progress', 'completed', 'action_needed', or 'canceled'.

Available options:
not_started,
in_progress,
completed,
action_needed,
canceled
started_at
string<date-time> | null
required

When Orb began migrating the plan's subscriptions. Null if the migration has not begun, or was canceled before it began.

ended_at
string<date-time> | null
required

When the migration completed or was canceled, or null if it is still in progress.

target_plan_version_number
integer
required

The plan version subscriptions are migrated to.